"""first tables

Revision ID: 8a8627b809ae
Revises: 
Create Date: 2019-10-04 20:28:20.925316

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '8a8627b809ae'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('product',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=120), nullable=True),
    sa.Column('brand', sa.String(length=120), nullable=True),
    sa.Column('img', sa.String(length=255), nullable=True),
    sa.Column('product_type', sa.String(length=80), nullable=True),
    sa.Column('sex', sa.String(length=80), nullable=True),
    sa.Column('description', sa.Text(), nullable=True),
    sa.Column('note_names', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_index(op.f('ix_product_brand'), 'product', ['brand'], unique=False)
    op.create_index(op.f('ix_product_description'), 'product', ['description'], unique=False)
    op.create_index(op.f('ix_product_img'), 'product', ['img'], unique=False)
    op.create_index(op.f('ix_product_name'), 'product', ['name'], unique=False)
    op.create_index(op.f('ix_product_note_names'), 'product', ['note_names'], unique=False)
    op.create_index(op.f('ix_product_product_type'), 'product', ['product_type'], unique=False)
    op.create_index(op.f('ix_product_sex'), 'product', ['sex'], unique=False)
    op.create_table('reviews',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('perfume_id', sa.Integer(), nullable=True),
    sa.Column('age_category', sa.String(length=140), nullable=True),
    sa.Column('review_date', sa.String(length=200), nullable=True),
    sa.Column('review_text', sa.Text(), nullable=True),
    sa.Column('title', sa.Text(), nullable=True),
    sa.Column('skin_type', sa.String(length=80), nullable=True),
    sa.Column('rate', sa.Integer(), nullable=True),
    sa.Column('user_gender', sa.String(length=12), nullable=True),
    sa.Column('like_count', sa.Integer(), nullable=True),
    sa.Column('dislike_count', sa.Integer(), nullable=True),
    sa.Column('tags', sa.Text(), nullable=True),
    sa.Column('replies', sa.Text(), nullable=True),
    sa.ForeignKeyConstraint(['perfume_id'], ['product.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('reviews')
    op.drop_index(op.f('ix_product_sex'), table_name='product')
    op.drop_index(op.f('ix_product_product_type'), table_name='product')
    op.drop_index(op.f('ix_product_note_names'), table_name='product')
    op.drop_index(op.f('ix_product_name'), table_name='product')
    op.drop_index(op.f('ix_product_img'), table_name='product')
    op.drop_index(op.f('ix_product_description'), table_name='product')
    op.drop_index(op.f('ix_product_brand'), table_name='product')
    op.drop_table('product')
    # ### end Alembic commands ###
